[svn-commits] russell: branch 1.8 r280742 - in /branches/1.8: addons/ addons/mp3/ contrib/s...

SVN commits to the Digium repositories svn-commits at lists.digium.com
Tue Aug 3 13:48:49 CDT 2010


Author: russell
Date: Tue Aug  3 13:48:45 2010
New Revision: 280742

URL: http://svnview.digium.com/svn/asterisk?view=rev&rev=280742
Log:
Remove the MP3 decoder source code and replace it with a small shell script.

Review: https://reviewboard.asterisk.org/r/836/

Added:
    branches/1.8/contrib/scripts/get_mp3_source.sh   (with props)
Removed:
    branches/1.8/addons/mp3/
Modified:
    branches/1.8/addons/Makefile

Modified: branches/1.8/addons/Makefile
URL: http://svnview.digium.com/svn/asterisk/branches/1.8/addons/Makefile?view=diff&rev=280742&r1=280741&r2=280742
==============================================================================
--- branches/1.8/addons/Makefile (original)
+++ branches/1.8/addons/Makefile Tue Aug  3 13:48:45 2010
@@ -34,12 +34,32 @@
             format_mp3 \
             res_config_mysql
 
-all: _all
+all: check_mp3 _all
+
+check_mp3:
+ifeq ($(filter format_mp3,$(MENUSELECT_ADDONS)),)
+	@if [ ! -f mp3/Makefile ] ; then \
+		echo ; \
+		echo "**************************************************************" ; \
+		echo "***                                                        ***" ; \
+		echo "***   --->  READ THIS OR YOUR BUILD WILL FAIL  <---        ***" ; \
+		echo "***                                                        ***" ; \
+		echo "*** format_mp3 has been selected to be installed, but the  ***" ; \
+		echo "*** mp3 decoder library has not yet been downloaded into   ***" ; \
+		echo "*** the source tree.  To do so, please run the following   ***" ; \
+		echo "*** command:                                               ***" ; \
+		echo "***                                                        ***" ; \
+		echo "***          $$ contrib/scripts/get_mp3_source.sh           ***" ; \
+		echo "***                                                        ***" ; \
+		echo "**************************************************************" ; \
+		echo ; \
+	fi
+endif
 
 include $(ASTTOPDIR)/Makefile.moddir_rules
 
 clean::
-	$(MAKE) -C mp3 clean
+	if [ -f mp3/Makefile ] ; then $(MAKE) -C mp3 clean ; fi
 	rm -f $(addprefix ooh323c/src/,$(H323OBJS))
 
 $(if $(filter format_mp3,$(EMBEDDED_MODS)),modules.link,format_mp3.so): mp3/common.o mp3/dct64_i386.o mp3/decode_ntom.o mp3/layer3.o mp3/tabinit.o mp3/interface.o
@@ -49,3 +69,5 @@
 $(if $(filter chan_ooh323,$(EMBEDDED_MODS)),modules.link,chan_ooh323.so): _ASTCFLAGS+=$(H323CFLAGS)
 $(if $(filter chan_ooh323,$(EMBEDDED_MODS)),modules.link,chan_ooh323.so): $(addprefix ooh323c/src/,$(H323OBJS)) chan_ooh323.o ooh323cDriver.o
 $(addprefix ooh323c/src/,$(H323OBJS)) chan_ooh323.o ooh323cDriver.o: _ASTCFLAGS+=$(call MOD_ASTCFLAGS,chan_ooh323)
+
+.PHONY: check_mp3

Added: branches/1.8/contrib/scripts/get_mp3_source.sh
URL: http://svnview.digium.com/svn/asterisk/branches/1.8/contrib/scripts/get_mp3_source.sh?view=auto&rev=280742
==============================================================================
--- branches/1.8/contrib/scripts/get_mp3_source.sh (added)
+++ branches/1.8/contrib/scripts/get_mp3_source.sh Tue Aug  3 13:48:45 2010
@@ -1,0 +1,14 @@
+#!/bin/sh -e
+
+if [ -f addons/mp3/mpg123.h ]; then
+    echo "***"
+    echo "The MP3 source code appears to already be present and does not"
+    echo "need to be downloaded."
+    echo "***"
+
+    exit 1
+fi
+
+svn export http://svn.digium.com/svn/thirdparty/mp3/trunk addons/mp3
+
+exit 0

Propchange: branches/1.8/contrib/scripts/get_mp3_source.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: branches/1.8/contrib/scripts/get_mp3_source.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: branches/1.8/contrib/scripts/get_mp3_source.sh
------------------------------------------------------------------------------
    svn:keywords = Author Date Id Revision

Propchange: branches/1.8/contrib/scripts/get_mp3_source.sh
------------------------------------------------------------------------------
    svn:mime-type = text/plain




More information about the svn-commits mailing list